Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Naming_Loader Class Reference

`#include <Naming_Loader.h>`

Inheritance diagram for TAO_Naming_Loader:

[legend]
Collaboration diagram for TAO_Naming_Loader:

[legend]
List of all members.

## Public Methods
| TAO_Naming_Loader (void)
| Constructor.
| ~TAO_Naming_Loader (void)
| Destructor.
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
virtual CORBA::Object_ptr | create_object (CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[] ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
## Protected Attributes
TAO_Naming_Server | naming_server_
| Instance of the TAO_Naming_Server.
## Private Methods
| TAO_Naming_Loader (const TAO_Naming_Loader &)
TAO_Naming_Loader & | operator= (const TAO_Naming_Loader &)

## Constructor & Destructor Documentation

TAO_Naming_Loader::TAO_Naming_Loader | ( | void |  | ) |

| Constructor.

TAO_Naming_Loader::~TAO_Naming_Loader | ( | void |  | ) |

| Destructor.

TAO_Naming_Loader::TAO_Naming_Loader | ( | const TAO_Naming_Loader & |  | ) | `[private]`

## Member Function Documentation

CORBA::Object_ptr TAO_Naming_Loader::create_object | ( | CORBA::ORB_ptr | orb,
|  | int | argc,
|  | ACE_TCHAR *argv | ACE_ENV_ARG_DECL[]
| ) | throw (CORBA::SystemException)`[virtual]`

| This function call initializes the Naming Service given a reference to the ORB and the command line parameters. Implements TAO_Object_Loader.

int TAO_Naming_Loader::fini | ( | void |  | ) | `[virtual]`

| Called by the Service Configurator framework to remove the Event Service. Defined in <ace/Service_Config.h> Reimplemented from ACE_Shared_Object.

int TAO_Naming_Loader::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Called by the Service Configurator framework to initialize the Event Service. Defined in <ace/Service_Config.h> Reimplemented from ACE_Shared_Object.

TAO_Naming_Loader& TAO_Naming_Loader::operator= | ( | const TAO_Naming_Loader & |  | ) | `[private]`

## Member Data Documentation

TAO_Naming_Server TAO_Naming_Loader::naming_server_`[protected]`

| Instance of the TAO_Naming_Server.

The documentation for this class was generated from the following files:

- Naming_Loader.h
- Naming_Loader.cpp